/*
	ComputerAEObj_pd.cp
	 Bob Boylan 1996

	Revision History
	MacHack 1996		initial creation
*/
#include "ComputerAEObj_pd.h"
#include "ComputerAETE_da.h"
#include "ObjectSpec_da.h"
#include "FinderAppAEObj_pd.h"
#include "ProgressProc_hi.h"

//	-----------------------------------------------------------------
//	ctor
//
ComputerAEObj_pd::ComputerAEObj_pd()
{
	// make our own kind of aete
	AETE_da	*theAETE = new ComputerAETE_da;
	_AETE = Clone_ut<AETE_da>( theAETE );
	
	// the app we speak to (the finder)
	_AppSignature = 'MACS';
	
	// create the root object spec
	ObjectSpec_da theRoot;
	theRoot._Name = "";
	theRoot._FormalName = "this Macintosh";
	PushObjSpec( theRoot );
}

//	-----------------------------------------------------------------
//	dtor
//
ComputerAEObj_pd::~ComputerAEObj_pd()
{
}


//	-----------------------------------------------------------------
//	GetObjAddr
//
string
ComputerAEObj_pd::GetObjAddr( vector<ObjectSpec_da>::iterator ioIter )
{
	return (_ObjectSpec.back()).GetSpecAsString();
}



//	-----------------------------------------------------------------
//	GetSubModelCount
//
Int_32
ComputerAEObj_pd::GetSubModelCount(DescType inModelKind)
{
DescType	theRealKind;

	// we middle man this one by changing the param along the way
	// ... not a pretty thing, but less intrusive than it could have been
	if( inModelKind == cFinderProcess )
	{
		theRealKind = 'pcap';
	}
	else
	{
		theRealKind = inModelKind;
	}
	
	return AEObj_pd::GetSubModelCount( theRealKind );
}
