#pragma once on
/*
	PropertyValue_pd.h
	 Bob Boylan 1996

	Revision History
	MacHack 1996	initial creation
*/
#include "BaseTypes.h"
#include "Clone_ut.h"
#include "UAppleEventsMgr.h"

#include <string>



class PropertyValue_pd 
{
public:
	// ctor
				PropertyValue_pd( );
				PropertyValue_pd( PropertyValue_pd &inOther );
				PropertyValue_pd( DescType inPropertyID, 
								  Clone_ut<StAEDescriptor> inValue,
								  string & inPropertyName );
	// dtor
		virtual	~PropertyValue_pd();
	
	// conversions
		virtual
		operator	AEDesc&() { return (*_Value).mDesc; }

	// data
		DescType					_PropID;
		Clone_ut<StAEDescriptor>	_Value;
		string						_PropertyName;
	
protected:

private:

};
