#pragma once on
/*
	ComputerAEObj_pd.h
	 Bob Boylan 1996

	Revision History
	MacHack 1996		initial creation
*/
#include "BaseTypes.h"
#include "AEObj_pd.h"
#include "PropertyValue_pd.h"
#include "Clone_ut.h"

#include <vector.h>

// a fake class
#define cComputer 'comP'



class ComputerAEObj_pd : public AEObj_pd
{
public:
	// ctor
				ComputerAEObj_pd( );
	// dtor
		virtual	~ComputerAEObj_pd();

	// getters	
		virtual
		string					GetKindName() { return string("Computer") ; }
		virtual
		DescType				GetKindID() { return cComputer; }
		virtual
		Clone_ut< AEObj_pd >	GetParent() { return nil; }
		virtual
		Int_32					GetSubModelCount(DescType inModelKind);
	
protected:

	// more getters	
		virtual
		Clone_ut< AETE_da >	GetAETE() { return nil; }
	
		virtual
		string	GetObjAddr( vector<ObjectSpec_da>::iterator ioIter );


	
private:

};
