// main file ... from the C.Spathis Shell (ty Gus)
//
#pragma once
#ifdef __MAIN__
#	define GLOBAL	
#else
#	define GLOBAL	extern
#endif

#ifndef CSHELL_H
#define CSHELL_H
#include <AppleEvents.h>
#include <Quickdraw.h>
#include <QDOffscreen.h>
#include <timer.h>
#include "ComputerAEObj_pd.h"

#define MAIN_MENU_BAR	128

#define APPLE_MENU		128
#define FILE_MENU		129
#	define NEW_ITEM		1
# 	define QUIT_ITEM	3
#define EDIT_MENU		130
#	define CUT_ITEM		1
#	define COPY_ITEM	2
#	define PASTE_ITEM	3

#define INSTALL_TIMETASKS	1
#define REMOVE_TIMETASKS 	0
typedef EventRecord* EventPtr;

typedef struct{
	FSSpec		theSpec;
	FInfo		FinderInfo;
	GWorldPtr	offscreenImage;
}WinInfo,**WinInfoHandle;

GLOBAL	AEObj_pd *			gRootObj;

GLOBAL	Boolean 			bHaveWaitNextEvent;		// WaitNextEvent is available
GLOBAL	long 				sleepTime;
GLOBAL	AEDesc				gNullDesc;				// A null descriptor record
GLOBAL	AEAddressDesc		gSelfAddress;			// A self-addressed address descriptor record
GLOBAL	ProcessSerialNumber	gSelfPSN;				// This application's psn
GLOBAL	short				gRefNum;				// reference number of rescource file
GLOBAL	Boolean				Draggable;				// Is the Drag Manager Installed?

// Functions that are global in scope

Boolean DoEvents(void);
void EventInit(void);
void QuitApp(void);
Boolean GetQuitStatus();
Boolean InitAppleEvents(void);
void ExitApp(void);
#endif
