#pragma once on
/*
	ObjectSpec_da.cp
	 Bob Boylan 1996

	Revision History
	MacHack 1996	initial creation

*/
#include "ObjectSpec_da.h"
#include "Helpers_ut.h"

//	-----------------------------------------------------------------
//	ctor
//
ObjectSpec_da::ObjectSpec_da()
: _Kind( typeNull ),
  _Pos ( 0 )
{
}
//	------------------------------------------------
//	ctor ... the way it should be
//
ObjectSpec_da::ObjectSpec_da( DescType inDescType, Int_32 inPosition )
: _Kind( inDescType ),
  _Pos ( inPosition )
{
}
//	------------------------------------------------
//	dtor
//
ObjectSpec_da::~ObjectSpec_da()
{}

//	------------------------------------------------
//	GetSpecAsString
//
string
ObjectSpec_da::GetSpecAsString()
{
	if( _Kind == typeNull )
	{
		return "'null'()";
	}
	else
	{
		return string("'") + As4CharString(_Kind) + "'";
	}
}
