/*
	ProgressProc_hi
	 Bob Boylan 1996

	Revision History
	MacHack 1996		Initial creation
*/

#include "Clone_ut.h"
#include "AEObj_pd.h"
#include "PropertyValue_pd.h"

class OBoy_hi;



class ProgressProc_hi
{
public:
	//	ctor
			ProgressProc_hi( OBoy_hi *inHICollector );
	//	dtor
			virtual	~ProgressProc_hi();

	// questions		
			virtual
			Boolean		UserCancelled();

	// our triggers for progress update			
			virtual
			void		BeginUpdate();
			virtual
			void		EndUpdate();
			virtual
			void		NewSubModel( Clone_ut< AEObj_pd > inAEobj );
			virtual
			void		NewPropertyValue( Clone_ut<PropertyValue_pd> inPropertyValue );
protected:

private:
	OBoy_hi		*_HICollector;
};
